%define version 2.0
%define release 0.1pre1_mdk

%define req_gimp_version 2.0

%define pkgname gimp-gap

Summary:	GAP (GIMP Animation Package), a video plug-in for GIMP
Name:		gimp2-gap
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://wolfganghofer.tripod.com/gap/gap.html
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://wolfganghofer.tripod.com/gap/gimp_gap_1.3.20c_pre101.tgz
Source:		%pkgname-%{version}pre1.tar.bz2


BuildRequires:	intltool >= 0.17
BuildRequires:	glib-gettextize
BuildRequires:	libgimp-devel >= %{req_gimp_version}

Requires:	gimp2_0 >= %{req_gimp_version}
Requires:	wavplay

%description
The GIMP has some Plug-In's suppoting Animation Features, based on Layers
where each Layer of the Image is considered as one frame of the Animation.

GAP is a collection of Plug-Ins that extends the GIMP's animation
capabilities by supporting the creation of more complex animations.
It has been part of the GIMP from 1.1.4 to 1.2 series, but has been splitted
afterwards.

Additional Informations about the GAP can be found in the GimpUserManual
Chapter Advanced Animation.


%prep
%setup -q -n %pkgname-%{version}pre1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall libexecdir=%buildroot%_libexecdir/gimp/2.0/plug-ins scriptdatadir=%buildroot%_datadir/gimp/2.0/scripts
#gw the makefile is broken, move the file by hand
mkdir -p %buildroot%_libexecdir/gimp-gap-2.0
mv %buildroot%_libexecdir/gimp/2.0/plug-ins/audioconvert_to_wav.sh %buildroot%_libexecdir/gimp-gap-2.0

%define gettext_package gimp20-gap
%{find_lang} %{gettext_package}

%clean
rm -rf %{buildroot}

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog* README
%{_libdir}/gimp/2.0/plug-ins/*
%{_libdir}/gimp-gap-2.0
%{_datadir}/gimp/2.0/scripts/*

%changelog
* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.1pre1_mdk
- new release

* Thu Mar 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.25-3mdk
- rebuild for gimp2

* Wed Feb 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.25-2mdk
- rebuild

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.25-1mdk
- fix installation
- drop patch
- new version

* Wed Oct 08 2003 Abel Cheung <deaddog@deaddog.org> 1.3.20-0.20030930.1mdk
- New snapshot 2003-09-30
- Patch0: Move AM_GLIB_GNU_GETTEXT before definition of CPPFLAGS, otherwise
  gettext checks will be broken for some reason

* Wed Sep 10 2003 Götz Waschk <waschk@linux-mandrake.com> 1.3.16-0.20030730.3mdk
- fix required version of gimp
- rebuild

* Tue Aug 19 2003 Götz Waschk <waschk@linux-mandrake.com> 1.3.16-0.20030730.2mdk
- new gimp

* Tue Aug 05 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-0.20030730.1mdk
- First Mandrake spec
- So called mpeg support does nothing at all, so don't need it
